Package wx :: Class Image_RGBValue

[frames | no frames]

## Type Image_RGBValue

    object --+
             |
            Image_RGBValue

An object that contains values for red, green and blue which represent the value of a color. It is used by `wx.Image.HSVtoRGB` and `wx.Image.RGBtoHSV`, which converts between HSV color space and RGB color space.

Method Summary
Image_RGBValue | ``__init__`(self, r, g, b)` Constructor.

Property Summary
| `blue`
| `green`
| `red`
| `thisown`: The membership flag

Method Details

### __init__(self, r=0, g=0, b=0)
(Constructor)

Constructor.

  Parameters:
    `r`
    (type=byte)

    `g`
    (type=byte)

    `b`
    (type=byte)

  Returns:
    Image_RGBValue
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:16 2007 | http://epydoc.sf.net